curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/production-orders/{productionOrderId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotCount": 123,
"lotSize": 123,
"targetStartTimestamp": "2023-11-07T05:31:56Z",
"targetCompletionTimestamp": "2023-11-07T05:31:56Z",
"deliveryTimestamp": "2023-11-07T05:31:56Z",
"referenceNumber": "<string>",
"projectNumber": "<string>",
"notice": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-orders/{productionOrderId}/update"
payload = {
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotCount": 123,
"lotSize": 123,
"targetStartTimestamp": "2023-11-07T05:31:56Z",
"targetCompletionTimestamp": "2023-11-07T05:31:56Z",
"deliveryTimestamp": "2023-11-07T05:31:56Z",
"referenceNumber": "<string>",
"projectNumber": "<string>",
"notice": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productionItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
billOfMaterialId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
lotCount: 123,
lotSize: 123,
targetStartTimestamp: '2023-11-07T05:31:56Z',
targetCompletionTimestamp: '2023-11-07T05:31:56Z',
deliveryTimestamp: '2023-11-07T05:31:56Z',
referenceNumber: '<string>',
projectNumber: '<string>',
notice: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/production-orders/{productionOrderId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productionOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Updates a production order.
Updates a production order.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Updates a production order. - Request
The ID of the item to be produced by the production order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the bill of materials for the production item used in the production order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The number of lots for the production order.
The size of each lot for the production order.
The target start timestamp of the production order.
The target completion timestamp of the production order.
The delivery timestamp of the production order.
The reference number of the production order.
The project number of the production order.
The notice of the production order.
Response
Production order was successfully modified
Updates a production order. - Response
The ID of the modified production order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?